<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.ng.listeners (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds.ng.listeners (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/tz/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/listeners/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.gds.ng.listeners</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></td>
<td class="colLast">
<div class="block">Listener for database events</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></td>
<td class="colLast">
<div class="block">Provides notification of exceptions to <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ExceptionListener</code></a> instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListener</a></td>
<td class="colLast">
<div class="block">Listener for notifications of SQL Exceptions that occurred in the object listened on.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html" title="interface in org.firebirdsql.gds.ng.listeners">ServiceListener</a></td>
<td class="colLast">
<div class="block">Listener for service events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners">StatementListener</a></td>
<td class="colLast">
<div class="block">Listener interface for receiving rows and related information as retrieved by
 an <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#fetchRows-int-"><code>FbStatement.fetchRows(int)</code></a>, or
 <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#execute-org.firebirdsql.gds.ng.fields.RowValue-"><code>FbStatement.execute(RowValue)</code></a> with a singleton result.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">AbstractListenerDispatcher</a>&lt;TListener&gt;</td>
<td class="colLast">
<div class="block">Dispatcher to maintain a list of listeners of type <code>TListener</code></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">DatabaseListenerDispatcher</a></td>
<td class="colLast">
<div class="block">Dispatcher to maintain and notify other <a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>DatabaseListener</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/DefaultDatabaseListener.html" title="class in org.firebirdsql.gds.ng.listeners">DefaultDatabaseListener</a></td>
<td class="colLast">
<div class="block">Default implementation of <a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>DatabaseListener</code></a> where all implemented methods
 do nothing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/DefaultStatementListener.html" title="class in org.firebirdsql.gds.ng.listeners">DefaultStatementListener</a></td>
<td class="colLast">
<div class="block">Default implementation of <a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>StatementListener</code></a> where all implemented methods
 do nothing.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">ExceptionListenerDispatcher</a></td>
<td class="colLast">
<div class="block">Listener dispatcher for <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>ExceptionListener</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/ServiceListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">ServiceListenerDispatcher</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">StatementListenerDispatcher</a></td>
<td class="colLast">
<div class="block">Dispatcher to maintain and notify other <a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>StatementListener</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">TransactionListenerDispatcher</a></td>
<td class="colLast">
<div class="block">Dispatcher to maintain and notify other <a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>TransactionListener</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/tz/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/listeners/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
